Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 756361 (CVE-2020-27780)

Summary: <sys-libs/pam-1.5.1: authentication bypass (CVE-2020-27780)
Product: Gentoo Security Reporter: John Helmert III <ajak>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: critical CC: zlogene
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://github.com/linux-pam/linux-pam/commit/28b8c7045ac8ea4ea080bce02a2df9e3b9e98f06
Whiteboard: A1 [glsa+ cve]
Package list:
Runtime testing required: ---
Attachments:
Description Flags
pam-1.5.0-CVE-2020-27780.patch none

Description John Helmert III gentoo-dev Security 2020-11-24 17:43:21 UTC
From the changelog at $URL:

Release 1.5.1 
* pam_unix: fixed CVE-2020-27780 - authentication bypass when an
            user doesn't exist and root password is blank

According to the issue this appears to be actively exploited in the wild:
https://github.com/linux-pam/linux-pam/issues/284

The only affected version is 1.5.0 accord to SUSE (https://www.openwall.com/lists/oss-security/2020/11/24/3), that version is all unstable for us so this will be a trivial bug.
Comment 1 John Helmert III gentoo-dev Security 2020-11-24 17:44:13 UTC
Please bump.
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2020-11-25 11:18:35 UTC
Created attachment 674839 [details, diff]
pam-1.5.0-CVE-2020-27780.patch

Upstream fix as patch file...
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-11-25 17:02:21 UTC
Comment on attachment 674839 [details, diff]
pam-1.5.0-CVE-2020-27780.patch

I am really waiting for the release here. It is on the way.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2020-12-07 00:38:57 UTC
This issue was resolved and addressed in
 GLSA 202012-06 at https://security.gentoo.org/glsa/202012-06
by GLSA coordinator Thomas Deutschmann (whissi).